## SoapySDR-0.7.0.tar.gz

=== lib/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_LIBRARY "Enable runtime library" ON "TRUE" OFF)
add_feature_info(Library ENABLE_LIBRARY "runtime library v${SOAPY_SDR_VERSION}")
if (NOT ENABLE_LIBRARY)
    return()
endif()

########################################################################
# Soapy SDR sources and dependencies
########################################################################
list(APPEND SOAPY_SDR_SOURCES
    Device.cpp
    Factory.cpp
    Registry.cpp
    Types.cpp
    NullDevice.cpp
    Logger.cpp
    Errors.cpp
    Formats.cpp
    ConverterRegistry.cpp
    DefaultConverters.cpp
)

#dl libs used by dlopen in unix
list(APPEND SOAPY_SDR_LIBRARIES
    ${CMAKE_DL_LIBS}
)

if (WIN32)
    set(MODULE_EXT "dll")
elseif (UNIX)
    set(MODULE_EXT "so")
else()
    message(FATAL_ERROR "not win32 or unix")
endif()

#support threaded client code
#notice that -pthread is not the same as -lpthread
if(CMAKE_COMPILER_IS_GNUCXX)
    list(APPEND SOAPY_SDR_LIBRARIES -pthread)
endif()

include_directories(${PROJECT_SOURCE_DIR}/include)

list(APPEND SOAPY_SDR_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/Modules.cpp)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Modules.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/Modules.cpp
@ONLY)

list(APPEND SOAPY_SDR_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/Version.cpp)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Version.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/Version.cpp
@ONLY)

#C API support sources
list(APPEND SOAPY_SDR_SOURCES
    TypesC.cpp
    ModulesC.cpp
    VersionC.cpp
    DeviceC.cpp
    FactoryC.cpp
    LoggerC.cpp
    TimeC.cpp
    ErrorsC.cpp
    FormatsC.cpp
)

#disable MSVC warnings
if (MSVC)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
endif ()

########################################################################
# Build the library
########################################################################
add_library(SoapySDR SHARED ${SOAPY_SDR_SOURCES})
if (SOAPY_SDR_LIBRARIES)
    target_link_libraries(SoapySDR ${SOAPY_SDR_LIBRARIES})
endif()
set_target_properties(SoapySDR PROPERTIES SOVERSION ${SOAPY_SDR_ABI_VERSION})
set_target_properties(SoapySDR PROPERTIES VERSION ${SOAPY_SDR_LIBVER})
set_target_properties(SoapySDR PROPERTIES DEFINE_SYMBOL "SOAPY_SDR_DLL_EXPORTS")

########################################################################
# Install the library
########################################################################
install(TARGETS SoapySDR
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build pkg config file
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapySDR.in.pc
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)

=== debian/changelog ===
soapysdr (0.7.0-1) unstable; urgency=low

  * Release 0.7.0 (2018-10-24)

 -- Josh Blum <josh@pothosware.com>  Wed, 24 Oct 2018 22:38:34 -0000

soapysdr (0.6.1-1) unstable; urgency=low

  * Release 0.6.1 (2017-12-12)

 -- Josh Blum <josh@pothosware.com>  Tue, 12 Dec 2017 19:14:44 -0000

soapysdr (0.6.0-1) unstable; urgency=low

  * Release 0.6.0 (2017-04-29)

 -- Josh Blum <josh@pothosware.com>  Sat, 29 Apr 2017 08:35:26 -0000

soapysdr (0.5.5-1) unstable; urgency=low

  * Release 0.5.5 (2017-04-28)

 -- Josh Blum <josh@pothosware.com>  Fri, 28 Apr 2017 21:53:39 -0000

soapysdr (0.5.4-ppa1) unstable; urgency=low

  * Release 0.5.4 (2016-11-29)

 -- Josh Blum <josh@pothosware.com>  Tue, 29 Nov 2016 15:12:11 -0500

soapysdr (0.5.3) unstable; urgency=low

  * Release 0.5.3 (2016-09-01)

 -- Josh Blum <josh@pothosware.com>  Thu, 01 Sep 2016 00:32:47 -0700

soapysdr (0.5.2) unstable; urgency=low

  * Release 0.5.2 (2016-08-18)

 -- Josh Blum <josh@pothosware.com>  Thu, 18 Aug 2016 22:50:48 -0700

soapysdr (0.5.1) unstable; urgency=low

  * Release 0.5.1 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:55:15 -0700

soapysdr (0.5.0) unstable; urgency=low

  * Release 0.5.0 (2016-07-10)

 -- Josh Blum <josh@pothosware.com>  Sun, 10 Jul 2016 16:59:08 -0700

soapysdr (0.4.4) unstable; urgency=low

  * Release 0.4.4 (2016-07-10)

 -- Josh Blum <josh@pothosware.com>  Sun, 10 Jul 2016 16:55:33 -0700

soapysdr (0.4.3) unstable; urgency=low

  * Release 0.4.3 (2016-04-21)

 -- Josh Blum <josh@pothosware.com>  Thu, 21 Apr 2016 14:42:02 -0400

soapysdr (0.4.2) unstable; urgency=low

  * Release 0.4.2 (2016-03-02)

 -- Josh Blum <josh@pothosware.com>  Wed, 02 Mar 2016 22:36:12 -0800

soapysdr (0.4.1) unstable; urgency=low

  * Release 0.4.1 (2016-01-27)

 -- Josh Blum <josh@pothosware.com>  Wed, 27 Jan 2016 21:55:26 -0800

soapysdr (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2015-12-10)

 -- Josh Blum <josh@pothosware.com>  Thu, 10 Dec 2015 17:15:50 -0800

soapysdr (0.3.1) unstable; urgency=low

  * Release 0.3.1 (2015-10-11)

 -- Josh Blum <josh@pothosware.com>  Sun, 11 Oct 2015 11:25:09 -0700

soapysdr (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-10-10)

 -- Josh Blum <josh@pothosware.com>  Sat, 10 Oct 2015 10:59:43 -0700

soapysdr (0.2.3) unstable; urgency=low

  * Release 0.2.3 (2015-10-08)

 -- Josh Blum <josh@pothosware.com>  Thu, 08 Oct 2015 13:10:53 -0700

soapysdr (0.2.2) unstable; urgency=low

  * Release 0.2.2 (2015-08-15)

 -- Josh Blum <josh@pothosware.com>  Sat, 15 Aug 2015 11:37:07 -0700

soapysdr (0.2.1) unstable; urgency=low

  * Release 0.2.1 (2015-07-09)

 -- Josh Blum <josh@pothosware.com>  Thu, 09 Jul 2015 18:44:05 -0700

soapysdr (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2015-06-15)

 -- Josh Blum <josh@pothosware.com>  Mon, 15 Jun 2015 01:11:14 -0400

=== debian/control ===
Source: soapysdr
Section: comm
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.7),
    swig (>= 2.0.0),
    python,
    python-dev,
    python3,
    python3-dev
Standards-Version: 4.1.4
Homepage: https://github.com/pothosware/SoapySDR/wiki
Vcs-Git: https://github.com/pothosware/SoapySDR.git
Vcs-Browser: https://github.com/pothosware/SoapySDR

Package: libsoapysdr0.7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software defined radio interface library
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the shared library.

Package: libsoapysdr-dev
Section: libdevel
Architecture: any
Depends:
    libsoapysdr0.7 (= ${binary:Version}),
    ${misc:Depends}
Description: SoapySDR library development files
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the development files for the library.

Package: soapysdr-tools
Architecture: any
Conflicts: soapysdr
Replaces: soapysdr
Provides: soapysdr
Depends:
    libsoapysdr0.7 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Description: software defined radio interface library tools
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the SoapySDRUtil command line utility which can
 list available modules and hardware.

Package: python-soapysdr
Section: python
Architecture: any
Depends:
    libsoapysdr0.7 (= ${binary:Version}),
    python,
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: python-numpy
Description: SoapySDR Python 2 bindings
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the Python 2 bindings for the library.

Package: python3-soapysdr
Section: python
Architecture: any
Depends:
    libsoapysdr0.7 (= ${binary:Version}),
    python3,
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: python3-numpy
Description: SoapySDR Python 3 bindings
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the Python 3 bindings for the library.

Package: soapysdr-modules-all
Architecture: all
Depends:
    soapysdr-module-airspy,
    soapysdr-module-bladerf,
    soapysdr-module-hackrf,
    soapysdr-module-redpitaya,
    soapysdr-module-remote,
    soapysdr-module-rtlsdr,
    soapysdr-module-rfspace,
    soapysdr-module-osmosdr,
    soapysdr-module-mirisdr,
    soapysdr-module-uhd,
    ${misc:Depends}
Description: software defined radio hardware support modules
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This is a metapackage for several common hardware support modules.
